Subject: PROPOLIS WANTED

From: Beehive Botanicals <[email-masked]>
Date: 22 Apr 1996 19:51:10 GMT

I write to the newsgroup today to encourage all beekeepers to send their 
hivescrapings/propolis to Beehive Botanicals, Inc. Rt. 8, Box 8257, 
Hayward, WI.  54843.  Call 1800-283-4274 for further information.

We have been in the business for over 25 years.  Paying $5-6.00 per lb.

Thank you.

L. Graham